Method: blueGreenDeployments.get

Retrieves a blue-green deployment resource under a given project and location.

HTTP request

GET https://sqladmin.googleapis.com/sql/v1beta4/{name=projects/*/locations/*/blueGreenDeployments/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the blue-green deployment to retrieve. Format: projects/{project}/locations/{location}/blueGreenDeployments/{blueGreenDeployment}

Query parameters

Parameters
view

enum (BlueGreenDeploymentView)

Optional. Specifies whether to return the basic or detailed view of the resource in the response.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of BlueGreenDeployment.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudsql
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/sqlservice.admin

For more information, see the Authentication Overview.

BlueGreenDeploymentView

The view of a BlueGreenDeployment resource.

Enums
BLUE_GREEN_DEPLOYMENT_VIEW_UNSPECIFIED Blue-green deployment view enumeration. This allows the caller to specify what view they query. If unspecified (BLUE_GREEN_DEPLOYMENT_VIEW_UNSPECIFIED), the behavior is the same as BASIC.
BASIC Includes basic metadata about the blue-green deployment. BASIC is the default view.
DETAILED Includes basic metadata and configuration differences between source and target instances (databaseVersion, tier, edition, availabilityType, dataDiskSizeGb, and dataDiskType).